.section-24hour {
  padding: 0.3rem;
  background-color: #ffffff;
}
.section-24hour .rank-list {
  background-image: linear-gradient(0deg, #ffdddd 0%, #fff9f3 100%),
    linear-gradient(#ffedf0, #ffedf0);
  padding: 0.15rem 0.2rem 0.4rem 0.2rem;
  border-radius: 0.1rem;
  font-size: 0.32rem;
}
.section-24hour .rank-list .rank-number {
  font-size: 0.34rem;
  color: #7c7c7c;
}
.section-24hour .rank-list .w-half {
  margin-top: 0.36rem;
  line-height: 1;
  height: 0.34rem;
  display: flex;
}

.section-24hour .rank-list .w-half span:nth-of-type(2) {
  position: relative;
  max-width: 2.6rem;
  padding-right: 0.4rem;
  margin-left: 0.15rem;

  display: inline-block;
  height: 0.32rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.section-24hour
  .rank-list
  .w-half:nth-child(-n + 3)
  span:nth-of-type(2)::after {
  content: "";
  display: inline-block;
  position: absolute;
  right: 0;
  width: 0.27rem;
  height: 0.32rem;
  background: url("https://resource.xiaoduxz.com/TLimages2023/xiaoduxz/mdownload/images/index_icon.png")
    no-repeat;
  background-position: -0.63rem -1.12rem;
  background-size: 2rem 1.5rem;
}

.section-24hour .rank-list .g-title--text::before {
  background-image: linear-gradient(90deg, #ffd0d0 0%, #fff9f3 100%),
    linear-gradient(#ffcece, #ffcece);
}

.section-area {
  margin-top: 0.3rem;
  background: #ffffff;
}

.section-update {
  padding: 0.3rem 0 0.3rem 0.3rem;
}

.section-software-rank {
  width: 100%;
  padding: 0.3rem 0 0.3rem 0.3rem;
  overflow: hidden;
}
.section-software-rank .swiper-slide {
  width: 6.4rem;
}

.section-recommend {
  padding: 0.3rem 0 0.3rem 0.3rem;
}

.section-software-gems,
.section-category {
  padding: 0.3rem;
}
